<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html">


<head>
    <meta charset="UTF-8"/>
    <title>Features</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>



    <script>

        $(document).ready(function () {

            var scenarioTable = $('.scenario-result-table').DataTable({

                "order": [],
                "language": {
                    searchPlaceholder: "Filter",
                    search: ""
                }
            });

            $('.example-table table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('.example-table-in-scenario table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('#evidence-table').DataTable(
                    {
                        searching: false,
                        ordering: false,
                        paging: false,
                        info: false
                    }
            );


            $(".scenario-docs .card-body table").wrap("<div class='table-responsive'></div>");

            $("#requirements-tabs").tabs();
            $("#test-tabs").tabs();

            var requirementsTree = [{"text":"Confirmation API","type":"feature","href":"849966e24da266cfc9196a6e38262221c94c8733a97e188d89343322b2d6351d.html","nodes":[],"selectable":false,"tags":["",""]}];

            $('#tree').treeview({
                data: requirementsTree,
                enableLinks: true,
                showTags: true,
                expandIcon: "glyphicon glyphicon-folder-close",
                collapseIcon: "glyphicon glyphicon-folder-open",
                emptyIcon: "glyphicon glyphicon-book"
            });

        });
    </script>

    <script>
        $(document).ready(function () {
            $(".scenario-docs > div > p").html(function () {
                var text = $(this).text().trim().split(" ");
                var first = text.shift();
                return (text.length > 0 ? "<strong>" + first + "</strong> " : first) + text.join(" ");
            });
        });
    </script>
</head>

<body class="results-page">
<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>


<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
            <span class="breadcrumbs">
            <a href='index.html'>Home</a> > <a href="capabilities.html">Requirements</a>



                > <span class="truncate-40">Confirmation API</span>

            </span>
        </div>
        <div class="rightbg"></div>
    </div>
    <div class="clr"></div>

    <!--/* starts second table*/-->

<div>
    <ul class="nav nav-tabs" role="tablist">
        <li >
            <a href="index.html"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li >
            <a href="7ea0a5e2d679b9deeda9910ae4a9bcd3a281e0d908303a9e16e486103e98880c.html"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li class="active">
            <a href="#"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated </span>
    <br style="clear:left"/>
</div>

    <div class="clr"></div>

    <div id="beforetable"></div>
    <div id="results-dashboard">
        <div class="table">
                <div class=row">
                    <div class="col-sm-12">
                        <div>
                            <div clas="table">
                                <div class="row">
                                    <div class="col-sm-12">
                                    <span>
                                            <h2><i class="fa fa-book"></i> Feature:  Confirmation API</h2>
                                        </span>
                                </div>
                                </div>
                                </div>
                            </div>
                            <div class="requirementNarrativeTitle">
                                The confirmation API should wrap potentially destrictive actions into a storable<br />
action with a set expire time. If the action is not confirmed before the experation<br />
then the action should be destroyed
                            </div>

                        </div>
                    </div>


            <div class="row">
                <div class="col-sm-12">

                    <!-- Requirements result tabs -->
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a data-toggle="tab" href="#specs"><i class="fas fa-comments"></i> Specifications</a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#results"><i class="fas fa-tachometer-alt"></i> Test Results</a>
                        </li>
                    </ul>

                    <!-- Specifications and Results tabs -->
                    <div class="card border">
                        <div class="tab-content" id="pills-tabContent">
                            <div id="specs" class="tab-pane fade in active">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">


                                            <h3>Scenarios</h3>

                                            <div id="toc">
                                                <table class="table" id="toc-table">
                                                </table>

                                            </div>

                                            <h3>Scenario details</h3>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="results" class="tab-pane fade">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">

                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th scope="col">Scenario Results (including rows of test data)</th>
                                                <th scope="col" colspan="2" class="automated-stats">
                                                    Automated
                                                </th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                                    <td class="aggregate-result-count"><i
                                                                            class='fa fa-check-circle-o success-icon'></i>&nbsp;Passing
                                                                    </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                    <td class="aggregate-result-count"><i
                                                                            class='fa fa-stop-circle-o pending-icon'></i>&nbsp;Pending
                                                                    </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-ban ignored-icon'></i>&nbsp;Ignored
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-fast-forward skip-icon'></i>&nbsp;Skipped
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                            <td colspan="3"><i
                                                                                class='fa fa-times failure-icon'></i>&nbsp;<em>Unsuccessful</em></a>
                                                                            </td>

                                            </tr>

                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-times-circle failure-icon'></i>&nbsp;Failed
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-exclamation-triangle error-icon'></i>&nbsp;Broken
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-chain-broken compromised-icon'></i>&nbsp;Compromised
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr class="summary-stats">
                                                <td class="aggregate-result-count">Total</td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>Execution Time</th>
                                                        <th>Clock Time</th>
                                                        <th>Fastest Test</th>
                                                        <th>Slowest Test</th>
                                                        <th>Average Execution Time</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td>0ms</td>
                                                        <td>0ms</td>
                                                        <td>0ms</td>
                                                        <td>0ms</td>
                                                        <td>0ms</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>


                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-cogs"></i> Automated Tests</h3>

                                            No automated tests were executed

                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-edit"></i> Manual Tests</h3>

                                                No manual tests were recorded

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <span class="version">Serenity BDD version 2.1.13</span>
                    </div>
                </div>
            </div>
</body>
</html>
